Page MenuHomePhabricator

[Spike 1 hr] Investigate building a Node.js service for mobile apps content
Closed, ResolvedPublic0 Story Points

Description

Relevant email: https://lists.wikimedia.org/pipermail/wikitech-l/2015-February/080497.html

Scope: the service takes an article name, and serves article content in a text-only format (but including wikilinks and external links).

Event Timeline

Deskana created this task.Feb 20 2015, 5:09 PM
Deskana raised the priority of this task from to Medium.
Deskana updated the task description. (Show Details)
Deskana moved this task to To Do on the Mobile App Sprint 52 - Android board.
Deskana added a subscriber: Deskana.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 20 2015, 5:09 PM
Joe added a subscriber: Joe.Feb 20 2015, 5:46 PM

This sounds to me like awkwardly similar to what mediawiki does now... it could just be a new api endpoint, right? After all we already have the code that does just that (takes a page name in the url, and spits out a json version of the contents of the page).

Also, why does the service need to be "in nodejs"?

There was quite a bit of controversy in the thread you mentioned on the scope, architecture, general usefulness and also maintainability of such a service.

Deskana added a comment.EditedFeb 20 2015, 5:56 PM

This spike is for an experimental service for us to get to grips with how to build services. The goal is not intended to use this in production, it's for us to build a service from start to finish to learn the pain points.

After this, we'll evaluate the strengths and weaknesses of the approach, and decide whether to build something more fit for our production purposes, as noted in the thread I linked.

And yes, there was concern, but also I've had a lot of people approach me with support. The only way we can truly know whether this works is by cutting through the talk and actually trying it. That's what we'll be doing.

Deskana edited a custom field.Feb 20 2015, 7:03 PM
Deskana edited a custom field.
KLans_WMF renamed this task from [Spike ?hr] Investigate building a Node.js service for mobile apps content to [Spike 1 hr] Investigate building a Node.js service for mobile apps content.Feb 27 2015, 7:46 PM
bearND claimed this task.Mar 6 2015, 1:59 AM
bearND moved this task from To Do to Doing on the Mobile App Sprint 52 - Android board.
Dbrant closed this task as Resolved.May 11 2015, 3:30 PM
Dbrant added a subscriber: Dbrant.